# Get application implementation findings

Returns implementation findings aggregated across all projects in an application

Endpoint: GET /api/v3.0/applications/{applicationUuid}/ai/findings/implementation
Version: 3.0
Security: bearer-key

## Path parameters:

  - `applicationUuid` (string, required)
    Application UUID

## Query parameters:

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

  - `limit` (integer)
    Specifies the maximum number of items to be returned in the response.

  - `grouped` (boolean)
    Group findings by element

## Response 200 fields (application/json):

  - `response` (array)

  - `response.snippetUuid` (string)

  - `response.origin` (string)

  - `response.implementationType` (string)

  - `response.snippet` (string)

  - `response.severity` (string)

  - `response.totalSeverity` (integer)

  - `response.criticalSeverity` (integer)

  - `response.highSeverity` (integer)

  - `response.mediumSeverity` (integer)

  - `response.lowSeverity` (integer)

  - `response.riskFactors` (array)

  - `response.project` (object)

  - `response.project.projectUuid` (string)

  - `response.project.projectName` (string)

  - `response.scanUuid` (string)

  - `response.findings` (array)

  - `response.findings.findingId` (string)

  - `response.findings.findingName` (string)

  - `response.findings.severity` (string)

  - `response.findings.element` (string)

  - `response.findings.elementUuid` (string)

  - `supportToken` (string)

  - `additionalData` (object)

  - `additionalData.paging` (object)

  - `additionalData.paging.cursor` (integer)

  - `additionalData.paging.next` (string)

  - `additionalData.paging.limit` (integer)

  - `additionalData.totalItems` (integer)


